[GM45] memory leak causes system to run out of memory (UXA/EXA)

Bug #360319 reported by Alex Launi
102
This bug affects 12 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
High
xserver-xorg-video-intel (Ubuntu)
High
Bryce Harrington

Bug Description

Binary package hint: xserver-xorg-video-intel

Running Jaunty, fully updated, intel X4500MHD chip with EXA acceleration has a memory leak that eventually uses all available system ram, and causes constant swapping leading my system to grind to a halt. The same thing occurs with UXA rendering, although it seems to happen faster with UXA.

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.3-0ubuntu9
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/zsh
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009
SourcePackage: xserver-xorg-video-intel
Uname: Linux 2.6.28-11-generic x86_64

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
 Subsystem: Lenovo Device [17aa:20e0]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
 Subsystem: Lenovo Device [17aa:20e4]

Revision history for this message
Alex Launi (alexlauni) wrote :
Revision history for this message
Geir Ove Myhr (gomyhr) wrote :

> The same thing occurs with UXA rendering, although it seems to happen faster with UXA.

You mean EXA in the end, right?

Is this something that has been introduced recently (if so, when?) or have you had it since you installed Jaunty? (when did you do that?)

description: updated
tags: added: gm45 intel jaunty xorg
summary: - [EXA] memory leak causes system to run out of memory
+ [GM45] [EXA] memory leak causes system to run out of memory
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Revision history for this message
Alex Launi (alexlauni) wrote : Re: [Bug 360319] Re: [EXA] memory leak causes system to run out of memory

On Mon, Apr 13, 2009 at 8:59 AM, Geir Ove Myhr <email address hidden> wrote:

> > The same thing occurs with UXA rendering, although it seems to happen
> faster with UXA.
>
> You mean EXA in the end, right?

The leak happens with both UXA and EXA, but I seem to run out of memory
faster with UXA. This however is anecdotal, and not empirical.

> Is this something that has been introduced recently (if so, when?) or
> have you had it since you installed Jaunty? (when did you do that?)

It has not, as far as I know been present for the entire time I've been
running jaunty. I installed jaunty on this laptop In mid-march. Can't say
exactly when, and have been using UXA for about half of the time. I didn't
notice the leak until yesterday.

--
--Alex Launi

Revision history for this message
Hatem MASMOUDI (hatem-masmoudi) wrote : Re: [GM45] [EXA] memory leak causes system to run out of memory

I have the some problem. the memory leak is faster when wctivating 3D effect and with uxa Acceleration method.

dmesg:
[ 3984.591143] [drm:i915_setparam] *ERROR* unknown parameter 4
[ 3984.591176] [drm:i915_getparam] *ERROR* Unknown parameter 6
[ 3985.917863] [drm:i915_getparam] *ERROR* Unknown parameter 6

Xorg.0.log
~$ more /var/log/Xorg.0.log | grep EE
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on back buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on depth buffer: rejected by kernel

lspci:
$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
06:01.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
06:02.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
06:04.0 CardBus bridge: ENE Technology Inc CB-712/4 Cardbus Controller (rev 10)
06:04.1 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller (rev 01)
06:04.2 SD Host controller: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller (rev 01)
06:04.3 FLASH memory: ENE Technology Inc FLASH memory: ENE Technology Inc: (rev 01)
06:04.4 FLASH memory: ENE Technology Inc SD/MMC Card Reader Controller (rev 01)

Bryce Harrington (bryce)
summary: - [GM45] [EXA] memory leak causes system to run out of memory
+ [GM45] memory leak causes system to run out of memory (UXA,EXA both)
Bryce Harrington (bryce)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
Revision history for this message
Bryce Harrington (bryce) wrote : Re: [GM45] memory leak causes system to run out of memory (UXA,EXA both)

For Karmic we're making UXA bugs like these a top priority, so I would like to forward this one upstream. First though, we need to verify the issue still exists with the latest upstream release. Would you please install and test the 2.7.0 driver and reproduce the bug, and let us know ASAP? A PPA with a Jaunty version of this driver is available at: https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-updates/

Also, fwiw the "Unknown parameter X" messages are purely cosmetic warnings and can be safely ignored.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Alex Launi (alexlauni) wrote : Re: [Bug 360319] Re: [GM45] memory leak causes system to run out of memory (UXA, EXA both)

I'm using the intel driver from the stable ppa with UXA and this seems to no
longer be an issue!

--
--Alex Launi

Bryce Harrington (bryce)
summary: - [GM45] memory leak causes system to run out of memory (UXA,EXA both)
+ [GM45] memory leak causes system to run out of memory (UXA,EXA)
Revision history for this message
Bryce Harrington (bryce) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA,EXA)

Great, thanks for letting us know that Alex. We'll have that version in karmic shortly, and will be able to finally close this bug then.

summary: - [GM45] memory leak causes system to run out of memory (UXA,EXA)
+ [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of
+ memory (UXA,EXA)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Triaged
Bryce Harrington (bryce)
summary: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of
- memory (UXA,EXA)
+ memory (UXA/EXA)
Revision history for this message
Klaus Vormweg (klaus-vormweg) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

I can confirm that the memory leak seems to be gone with xserver-xorg-video-intel v 2.7.0 though there are still some (unrelated?) error messages in Xorg.0.log:

(EE) intel(0): Unable to write to SDVOCTRL_E for SDVOB Slave 0x70.
(EE) intel(0): First SDVOB output reported failure to sync
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel

Revision history for this message
Zack Evans (zevans23) wrote :

The "tiling rejected" symptom could be a different bug - bug 349314 - and you have both bugs, unlucky :-)

Revision history for this message
Alex Launi (alexlauni) wrote : Re: [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

So this isn't totally solved in 2.7.0, at least I'm not sure if it is. My
swap keeps filling up and not being freed. Seems related but I can't
pinpoint the exact offender.

--
--Alex Launi

Revision history for this message
David Edmundson (david.edmundson) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

This certainly seemed to considerably reduce any memory leak. I had my computer on for 5 hours and Xorg only crept up to 5% (~100Mb) RAM usage. Under EXA I would have had to restart X by now. Unfortunately my computer freezes on starting X more than half the time under UXA.

Revision history for this message
mehturt (mehturt) wrote :

I agree this is not solved in 2.7.0, my laptop is on for about 6 hours and X is consuming 283m of resident memory, 689m of virtual memory.

Revision history for this message
Zack Evans (zevans23) wrote :

Are the people reporting leaks here running GNOME or KDE?

Revision history for this message
David Edmundson (david.edmundson) wrote : RE: [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causessystem to run out of memory (UXA/EXA)

KDE4.2.2 in my case. I can try a different window manager and maybe not plasma to see if that makes a difference.

Are the people reporting leaks here running GNOME or KDE?

--
[GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory
(UXA/EXA)
https://bugs.launchpad.net/bugs/360319
You received this bug notification because you are a direct subscriber
of the bug.

Revision history for this message
mehturt (mehturt) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

I'm running E17.

Revision history for this message
Jonathan Ng (jonathan-ng) wrote :

Gnome here (v2.26.1) on Ubuntu 9.04.

Revision history for this message
Alex Launi (alexlauni) wrote : Re: [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

GNOME 2.26 with Compiz on 9.04

--
--Alex Launi

Revision history for this message
Andrew Ash (ash211) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

In bug 193419 an issue similar to this (gray/black screen after several hours of usage on the gm945) is fixed/alleviated by setting the FrameBufferCompression to Off:

Section "Device"
Identifier "Configured Video Device"
Option “FramebufferCompression” “off”
EndSection

Can anyone confirm if this change has any effect?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.7.0-1ubuntu1

---------------
xserver-xorg-video-intel (2:2.7.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian of upstream's 2.7.0 release.
    - Fixes: memory leak causes system to run out of memory
      (LP: #360319)
    - Fixes: Video playback suffers from tearing on GMA 4500MHD
      (LP: #339233)
    - Fixes: powertop wakeups 71.6 <interrupt> : i915@pci
      (LP: #352763)
    - Fixes: `man intel` does not mention UXA in the AccelMethod section
      (LP: #364284)
    - Fixes: TV Format changes don't work
      (LP: #298422)
  * Remaining ubuntu changes against Debian version:
    - Add lpia architecture
    - 103_quirk_intel_mb890.patch: quirk
    - 109_i830-fifo-watermark-conservative.patch: Still in progress
      upstream in fd.o #19304, but retain as a placeholder until better
      fix is found.
    - 110_quirk_hp_mini.patch: quirk
    - 116_8xx_disable_dri.patch: DRI proved buggy on certain 8xx chips so
      this disables it. The DRI probably needs re-testing to verify this
      patch is still needed, but it will be kept for now.
    - 117_quirk_thinkpad_x30.patch: quirk
    - 119_drm_bo_unreference_needs_null.patch: Fixes several crashes;
      seems not to be included upstream yet.
  * Drop patches no longer needed:
    - Drop 112_num_used_fences.patch; no longer needed with updated kernel
    - Drop 105_no_modesetting.diff; now we want to enable kernel modesetting
    - Drop 115_fix_crash_xv_overlay.patch; included in upstream
    - Drop 118_drop_legacy3d.patch; included in upstream
    - Drop 120_fix_vt_switch.patch; included in upstream
    - Drop 106_remove_triple_buffering.diff; included in upstream
    - Drop 107_remove_pageflipping.diff; included in upstream
  * Refresh 119_drm_bo_unreference_needs_null.patch to apply

 -- Bryce Harrington <email address hidden> Fri, 08 May 2009 12:08:57 -0700

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Alex Launi (alexlauni) wrote : Re: [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

Will this be pushed into the X ppa for jaunty?

--
--Alex Launi

Revision history for this message
Bryce Harrington (bryce) wrote : Re: [Ubuntu-x-swat] [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

On Fri, May 08, 2009 at 08:43:49PM -0000, Alex Launi wrote:
> Will this be pushed into the X ppa for jaunty?

2.7.0 was already there, but I've updated it to include this same
version.

Revision history for this message
Klaus Vormweg (klaus-vormweg) wrote : Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

For me this bug is definitely back in driver version 2.7.1:

VIRT RES SHR S %CPU %MEM TIME+ COMMAND
1048m 17m 4544 S 0 0.9 2:01.29 compiz.real
  296m 22m 11m S 2 1.1 12:08.88 Xorg

(a snippet from 'top' output)

My cache fills up quick running Gnome and Compiz and swap space is never freed again.

Driver version:
xserver-xorg-video-intel 2:2.7.1-0ubuntu1~xup~1

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Released → New
Revision history for this message
Alex Launi (alexlauni) wrote :

This is definitely still present, I just had a full swap, restarting X caused all of that memory to be freed.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Revision history for this message
Nizamov Shawkat (nizamov-shawkat) wrote :

I still experience this bug with intel drivers 2.7.99.1-1, KDE4.2.2(4.2.3), installed from ppa's. There is another bug-report on the same problem. I wrote details there.

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/367377

Revision history for this message
Daniel Skinner (dasacc22) wrote :

well i just installed this from the ppa described from an earlier comment and I can say it makes things a heck of a lot more bearable, if not fixed, on my system. Been running since about 6 hours ago and normally would leaked about 250 megs of memory by now (just looking at my conky stats and knowing what my systems idle statistics are). Since installing from the ppa it looks like everythings gravy. I have (and have had) UXA enabled in the xorg.conf

Im probably just gonna freeze this package and all related cause im kinda tired of dealing with this : /

Revision history for this message
Chow Loong Jin (hyperair) wrote : Re: [Bug 360319] Re: [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of memory (UXA/EXA)

On Sun, 2009-05-24 at 21:00 +0000, Daniel Skinner wrote:
> well i just installed this from the ppa described from an earlier
> comment and I can say it makes things a heck of a lot more bearable, if
> not fixed, on my system. Been running since about 6 hours ago and
> normally would leaked about 250 megs of memory by now (just looking at
> my conky stats and knowing what my systems idle statistics are). Since
> installing from the ppa it looks like everythings gravy. I have (and
> have had) UXA enabled in the xorg.conf
>
> Im probably just gonna freeze this package and all related cause im
> kinda tired of dealing with this : /
>
The actual figure is in the second line of /proc/dri/0/gem_objects, I
believe. After ~6h, mine's usually at 2G. If I push it further, it turns
negative. To be able to leak enough memory to cause integer overflows by
just calculating how much memory it's leaked... this is an achievement.
--
Regards,
Chow Loong Jin

Revision history for this message
In , Bryce Harrington (bryce) wrote :

Created an attachment (id=26275)
XorgLog.txt

Forwarding this bug from a ubuntu reporter:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/360319

[Problem]
Running Jaunty, fully updated, intel X4500MHD chip with EXA acceleration has a memory leak that eventually uses all available system ram, and causes constant swapping leading my system to grind to a halt. The same thing occurs with UXA rendering, although it seems to happen faster with UXA.

(We've had several people mention having memory leak issues on UXA and on EXA, so perhaps this is an instance of another more generic bug?)

This was also tested against 2.7.0 (others have reported it against 2.7.1 and 2.7.99, so it's believed not fixed yet).

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.3-0ubuntu9
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/zsh
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009
SourcePackage: xserver-xorg-video-intel
Uname: Linux 2.6.28-11-generic x86_64

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
 Subsystem: Lenovo Device [17aa:20e0]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
 Subsystem: Lenovo Device [17aa:20e4]

Revision history for this message
In , Bryce Harrington (bryce) wrote :

Created an attachment (id=26276)
XorgLogOld.txt

Revision history for this message
In , Bryce Harrington (bryce) wrote :

 distro: Ubuntu
 architecture: x86_64
 kernel: 2.6.28-11-generic
 xserver-xorg: 1:7.4~5ubuntu18
 mesa: 7.4-0ubuntu1
 libdrm: 2.4.5-0ubuntu4
 -intel: 2:2.6.3-0ubuntu9
 -ati: 1:6.12.1-0ubuntu2

Revision history for this message
In , Garry-camvine (garry-camvine) wrote :

There is definitely a system memory leak from using UXA acceleration with OpenGL compositing. In the freedesktop bugzilla I can see #20766 #21770 #18820 #20704 which all seem to be the same issue.

I am running on an Eee Box B202 Atom with an Intel 945GM. I have tried 2.7.1 and 2.7.99 and the latest git revision, all exhibiting the same leak (in GEM objects). I have also tried the latest git revisions of Mesa, libdrm and Xorg.

I have a small example using Clutter and GTK+ which demonstrates the leak with hopefully the minimum of code - I'll add the attachment after this comment.

The bug is also referenced in other bug trackers:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/360319
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/367377
You can also see a few on Moblin:
http://bugzilla.moblin.org/buglist.cgi?quicksearch=leak

I've been trying to track this down for quite a while and it looks like it is related to the glXBindTexImageEXT call and it not being released with glXReleaseTexImageEXT.

Revision history for this message
In , Garry-camvine (garry-camvine) wrote :

Created an attachment (id=26280)
A simple test case using GTK+ and Clutter.

This is an example that exercises the leak in GEM objects. It leaks about ten windows worth on each execution.

Running this with Valgrind and filtering through the false positives I did find:

==3627== 3,520,000 bytes in 11 blocks are still reachable in loss record 2,603 of 2,603
==3627== at 0x4026FDE: malloc (vg_replace_malloc.c:207)
==3627== by 0x53BE86A: _mesa_soft_renderbuffer_storage (renderbuffer.c:1202)
==3627== by 0x5395964: _mesa_resize_framebuffer (framebuffer.c:285)
==3627== by 0x5365579: intel_resize_buffers (intel_fbo.c:260)
==3627== by 0x530AC39: driUpdateFramebufferSize (drirenderbuffer.c:211)
==3627== by 0x532DC90: intel_update_renderbuffers (intel_context.c:383)
==3627== by 0x5315B90: intelSetTexBuffer2 (intel_tex_image.c:742)
==3627== by 0x46B02D6: __glXBindTexImageEXT (glxcmds.c:2639)
==3627== by 0x463A668: clutter_glx_texture_pixmap_update_area (clutter-glx-texture-pixmap.c:798)
==3627== by 0x463AD0C: create_cogl_texture (clutter-glx-texture-pixmap.c:375)
==3627== by 0x463B184: clutter_glx_texture_pixmap_notify (clutter-glx-texture-pixmap.c:729)
==3627== by 0x491DABB: g_cclosure_marshal_VOID__PARAM (gmarshal.c:531)

I ran valgrind using the following commandline and then used the software X compositing that does not leak and compared the results:
G_SLICE=always-malloc G_DEBUG=gc-friendly,resident-modules valgrind --leak-check=full --track-origins=yes --leak-resolution=high --show-reachable=yes -v --suppressions=gtk.suppression ./simple

The build and running instructions are in the comments of the example.

Bryce Harrington (bryce)
summary: - [GM45] (Needs -intel 2.7.0) memory leak causes system to run out of
- memory (UXA/EXA)
+ [GM45] memory leak causes system to run out of memory (UXA/EXA)
Revision history for this message
Bryce Harrington (bryce) wrote :

Hi Alex,

I've forwarded your bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=21982 - please subscribe to that bug in case upstream needs further information or wishes you to test something. Thanks ahead of time!

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Revision history for this message
Bryce Harrington (bryce) wrote :

Alex - also I assume you've tested 2.7.1, but it would also be helpful if you could test 2.7.99.1. From Nizamov's comment it sounds like perhaps you'll still have it, but upstream will probably wish for you to verify that. You can get that version from the xorg-edgers ppa:

https://edge.launchpad.net/~xorg-edgers/+archive/ppa

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Revision history for this message
In , Soeren Sonnenburg (sonne-debian) wrote :

I see this too on my Samsung NC 10.

Revision history for this message
Aaron Roydhouse (aaron-roydhouse) wrote :

I have identical set-up to the original reporter: Jaunty, fully updated, intel X4500MHD. I didn't used to see this problem, but since upgrading to xserver-xorg-video-intel 2.6.3 I started getting this. Typically for me I load a program the pre-allocates some memory - a wireshark capture is a good one, and suddenly ubuntu will page ~200MB to disk. Even though there is 3GB+ of free RAM, it just keeps adding to the swap each time, and never seems to swap back.

Doesn't sound like there is any new version that fixes this yet, since still reported here as present in 2.7.99.1, but I'll try a new version when there is one that claims to fix this.

Revision history for this message
In , Jesse Barnes (jbarnes-virtuousgeek) wrote :

I wonder if this is really a dupe of 20704? There seem to be quite a few leaks...

Revision history for this message
In , Michel Dänzer (michel-daenzer) wrote :

The leak in the test program seems fixed in Git, probably by commit d027e8feff7d38cccadc6aaccc0454b21ce4dca0 in mesa_7_5_branch and master.

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Revision history for this message
Wladimir Mutel (mwg) wrote :

I am testing the current Karmic, with package versions :
xserver-xorg-video-intel 2:2.7.99.1+git20090602.ec2fde7c-0ubuntu2
xserver-xorg 1:7.4~5ubuntu21
xserver-xorg-core 2:1.6.1.901-2ubuntu1

and KDE packages version, mostly, 4.2.90, as they are in Karmic currently. No GNOME apps except nm-applet. GTK apps : Pidgin and Seamonkey. xrestop shows that top X resources are used by Okular, about 136 MB.

I have 2GB RAM but my X server VSZ inflates up to 2 GB very soon after the reboot (during the first day of uptime) and starts to push everything else to the swap.

Hope to get an update from Karmic fixing that. Soon. Subscribing for this bug now.

Revision history for this message
Bryce Harrington (bryce) wrote :

Upstream patch looks good; testing build...

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Bryce Harrington (bryceharrington)
Revision history for this message
Forceflow (baertman) wrote :

Any estimate when this patch will be in the X-SWAT PPA ?

Revision history for this message
Bryce Harrington (bryce) wrote :

I uploaded it to karmic yesterday. Guess it didn't auto-close this bug because the patch was to mesa rather than -intel.

Changes:
 mesa (7.4.1-1ubuntu3) karmic; urgency=low
 .
   * Add 108_destroy_intel_fb.patch: Release fb backing regions in
     intelDestroyBuffer(). Cherrypicked patch. Fixes memory leak when
     destroying framebuffers.
     (LP: #360319)
   * Add 109_release_direct_rendering_resources.patch: Cherrypicked patch.
     Also release direct rendering resources in glXDestroyGLXPixmap.
     Fixes leak running compiz with direct rendering.
     (LP: #376092)

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
FaberfoX (faberfox) wrote :

Could you Bryce or someone else explain how to try the released fix on jaunty?

Revision history for this message
Nick (spereneka) wrote :

I'm having the same problem here on Jaunty.. That'd be great if someone could describe us how to fix this on Jaunty... Thanks..

Revision history for this message
FaberfoX (faberfox) wrote :

Just want to report that 2.8.0 from xorg-edgers has been working beautifully for the last couple of days.
Hope to see it in x-swat soon.

Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote :

@FaberfoX
can you please post all the upgraded packages that you're using?

Revision history for this message
Ja_Szczur (ziebik) wrote :

maybe this can help - you should free cached memory:
http://ubuntu-unleashed.com/2008/04/free-up-cache-memory-in-linux.html [link from google]

also added a small script written by me [attachment]

// btw it's my first post here, hello everyone ;-)

Changed in xserver-xorg-video-intel:
importance: Unknown → High
Changed in xserver-xorg-video-intel:
importance: High → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.